tags 610121 + pending
thanks
Dear maintainer,
I've prepared an NMU for lmarbles (versioned as 1.0.7-1.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.
Regards.
Thomas
diff -u lmarbles-1.0.7/debian/changelog lmarbles-1.0.7/debian/changelog
--- lmarbles-1.0.7/debian/changelog
+++ lmarbles-1.0.7/debian/changelog
@@ -1,3 +1,11 @@
+lmarbles (1.0.7-1.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Incorporate patch from #610121 and install /usr/games/lmarbles as 'g+s
+ games'(closes: #610121)
+
+ -- Thomas Weber <[email protected]> Sun, 19 Feb 2012 15:45:06 +0000
+
lmarbles (1.0.7-1) unstable; urgency=low
* New upstream release.
diff -u lmarbles-1.0.7/debian/postinst lmarbles-1.0.7/debian/postinst
--- lmarbles-1.0.7/debian/postinst
+++ lmarbles-1.0.7/debian/postinst
@@ -21,10 +21,16 @@
case "$1" in
configure)
# Make the highscore file writable for the 'games' group.
- chown root:games /var/games/lmarbles/
- chown root:games /var/games/lmarbles/lmarbles.prfs
- chmod 775 /var/games/lmarbles
- chmod 664 /var/games/lmarbles/lmarbles.prfs
+ if ! dpkg-statoverride --list /var/games/lmarbles >/dev/null 2>&1; then
+ dpkg-statoverride --update --add root games 775 /var/games/lmarbles
+ fi
+ if ! dpkg-statoverride --list /var/games/lmarbles/lmarbles.prfs >/dev/null 2>&1; then
+ dpkg-statoverride --update --add root games 664 /var/games/lmarbles/lmarbles.prfs
+ fi
+ # Make the binary g+s 'games' group.
+ if ! dpkg-statoverride --list /usr/games/lmarbles >/dev/null 2>&1; then
+ dpkg-statoverride --update --add root games 2755 /usr/games/lmarbles
+ fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
only in patch2:
unchanged:
--- lmarbles-1.0.7.orig/debian/postrm
+++ lmarbles-1.0.7/debian/postrm
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/doc/packaging-manual/
+
+if [ "$1" = "purge" ]; then
+ dpkg-statoverride --remove /var/games/lmarbles || test $? -eq 2
+ dpkg-statoverride --remove /var/games/lmarbles/lmarbles.prfs || test $? -eq 2
+ dpkg-statoverride --remove /usr/games/lmarbles || test $? -eq 2
+fi
+
+#DEBHELPER#